ModelDeployment
Retrieve all versions of a specific Model Deployment
Retrieves summary information for all historical versions of a Model Deployment.
GET
/
api
/
modelServing
/
v1
/
modelDeployments
/
{modelDeploymentId}
/
versions
Retrieve all versions of a specific Model Deployment
curl --request GET \
--url https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/versions \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/versions"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"collaborators": [
{
"id": "66a84107c774610134ae3a28",
"role": "CONSUMER"
}
],
"configuration": {
"deploymentType": {
"modelConfigs": {},
"sharedConfig": {},
"type": "SYNC_ENDPOINT"
},
"modelConfigs": {},
"sharedConfig": {}
},
"creationTimestamp": "2023-07-15T14:35:47.89Z",
"creatorInfo": {
"id": "ABC-123",
"username": "Production"
},
"deploymentTargetInfo": {
"id": "ABC-123",
"name": "Production",
"typeName": "AWS SageMaker"
},
"description": "This endpoint is designed to provide businesses with insights into their customer retention patterns.",
"id": "614e40a7-0509-4cae-89af-55e2097b817d",
"isGloballyAccessible": true,
"models": [
{
"environmentId": "<string>",
"environmentName": "<string>",
"name": "XYZ Model",
"projectId": "<string>",
"source": {
"registeredModelName": "Growth Forecasting Model",
"registeredModelType": "MODELREGISTRY",
"registeredModelVersion": 3
}
}
],
"name": "Income Classifier Deployment",
"resourceConfigurationInfo": {
"configuration": {
"instance_type": "m5.large"
},
"id": "ABC-123",
"name": "Large"
},
"version": 23,
"remoteUpdateTimestamp": "2023-07-16T19:20:30.45Z",
"status": {
"state": "STARTING",
"message": "<string>",
"modelOperations": {},
"modelStates": {},
"sharedOperations": [
{
"fields": {},
"metadata": {
"operations": [
"<string>"
],
"type": "<string>",
"service": "<string>"
},
"type": "<string>",
"credentials": {
"expirationTime": "2023-11-07T05:31:56Z",
"keys": [
"<string>"
],
"type": "AWS"
},
"examplePayload": "<string>",
"examples": [
{
"code": "<string>",
"format": "<string>",
"language": "<string>",
"request": "<string>"
}
]
}
],
"sharedState": {}
}
}
],
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
The id of the Model Deployment to update
Query Parameters
The number of result to retrieve. Defaults to 25.
The offset from the first element to start retrieving from.
Field to order results by. Format is the name of the field optionally followed by a space and either ASC or DESC. Field name can be name, type, status, creationTimestamp, or updateTimestamp. If not specified, defaults to "name ASC".
Last modified on August 18, 2026
Related topics
Retrieve a specific version of a Model DeploymentRetrieve all Model DeploymentsRetrieve a specific Model DeploymentRetrieve all temporary credentials for a specific Model DeploymentWas this page helpful?
⌘I
Retrieve all versions of a specific Model Deployment
